---
title: "Gushing about KDE applications"
date: 2024-01-29
draft: false
tags:
- Linux
- KDE
---

This a lazy and anti-rant post... I want to shine a light on the fantastic [KDE software](https://kde.org/) that I use daily. You can do similar things with GNOME and whatever else, but that's for someone else to write. I have some bias because I have contributed to several of these applications, but that doesn't detract from the point that I depend on them daily.

![Screenshot of KMail from kde.org](kmail.png)

I check my work and personal mail using [KMail](https://apps.kde.org/kmail2/). I'm one of those lucky few that checks my mail from two IMAP-compliant servers, so I steer clear from Outlook/GMail. I keep track of tasks, events and meetings using [Merkuro](https://apps.kde.org/merkuro.calendar/). I can keep tabs on my calendar  since the time applet is synced thanks to [Akonadi](https://en.wikipedia.org/wiki/Akonadi). I really enjoy and use the integration between these Akonadi applications, such as accepting invitations to meetings which are automatically recorded into my calendar.

My work uses [Rocket.Chat](https://www.rocket.chat/), and I use [Ruqola](https://apps.kde.org/ruqola/) for interacting with that:

![Screenshot of Ruqola from kde.org](ruqola.png)

Even when not working, I still use KDE software! One of them is drawing, and I use [Krita](https://krita.org/en/) for that (which is a great application in general, you should use it!) It's completely replaced Procreate and Clip Studio Paint which I used before. I really like it's integrated brush engines and default brush set, along with all of it's built-in functionality like animation support. I even use Krita when sketching on-the-go or in bed now instead of Procreate, since my Lenovo Yoga runs Linux and KDE Plasma. When I edit videos, my program of choice is [Kdenlive](https://kdenlive.org/en/) (which is a great application in general, you should use it!) It does everything I want it to do, honestly I have very little trouble with it but my needs are minimal.

![Screenshot of Kdenlive from kde.org](kdenlive.png)

My primary chat platform is [Matrix](https://matrix.org), so of course I use [NeoChat](https://apps.kde.org/neochat/) as my preferred client everywhere I can. I chose [Mastodon](https://joinmastodon.org/) as my Twitter-replacement, and I use [Tokodon](https://apps.kde.org/tokodon/) so much that I don't even open up their web interface anymore! The less I have to run in the browser the better, in my opinion.

![Screenshot of Tokodon from kde.org](tokodon.png)

There's also lots of small utilities that I use, such as [Spectacle](https://apps.kde.org/spectacle/) for screenshots and quick screen recordings. I use [Kate](https://apps.kde.org/kate/) for all of my text editing, such as this post right now! [Gwenview](https://apps.kde.org/kate/) is my image viewer of choice too. Of course I use [Okular](https://apps.kde.org/okular/) for reading the occasional PDF. Can't forget about [Okteta](https://apps.kde.org/okteta/) when I'm trying to dissect some binary file.

![Screenshot of Kasts from kde.org](kasts.png)

I even use KDE applications for consuming media, too. I use [PlasmaTube](https://apps.kde.org/plasmatube/) to feed my YouTube addiction. I like to put videos in picture-in-picture and even added that to the next release, meaning I can stop using the web interface for Invidious. I have started listening to some podcasts, and have been using [Kasts](https://apps.kde.org/kasts/) for those. I elarned recently that it even can sync via NextCloud!

# Upcoming

Here's some software I recently learned about, and want to start using soon:

* [Accessibility Inspector](https://apps.kde.org/accessibilityinspector/), which is a KDE-based alternative to GNOME's Accerciser.
* [Codevis](https://apps.kde.org/codevis/), a code visualization program, I used it once before but I need to try it again.
* [Fielding](https://apps.kde.org/fielding/), a REST API client. I plan to expand it's features further so I don't have to depend on Insomina.
* [Powerplant](https://apps.kde.org/powerplant/), something to help keep your plants. I only have one plant to keep right now, so this is the perfect time to learn how to use it!

Hope this sheds some light on my favorite applications, and gives you ideas for using them! I enjoy how fast these applications are, and how integrated and nice they all look together. I couldn't go over every single one, but maybe I can expand in the future.
